## ------------------------------------------------------------
reset
cd 'C:\Home\stefan_pofahl\Dokumente\G\GnuPlot\examples\epslatex_standalone'
# Input file contains comma-separated values fields
set datafile separator ","

## choosing "set style increment userstyles" allows you to step through the user-defined
## line styles rather than through the default linetypes.
set style increment userstyles

## set macros: If command line macro substitution is enabled, then tokens in the command line
## of the form @<stringvariablename> will be replaced by the text string contained in <stringvariablename>.
set macros
## Plot Styles, lines, points, linespoints, lt= linetype, lw= linewidth, pt= pointtype, ps= pointsize
style_points = 'points lc rgb "grey20" pt 6 ps 3 '
style_lines = 'lines lc rgb "red" lt 7 '

## user defined variables
Filename = "test_epslatex_stanalone.tex"

## axes, tics, scale, axes range
set xrange [0:1.00]
set format x "{%.2f}"

## labels
# set label 'chemtext: \SOthrH' at 0.3,0.1
set label "chemtext: \\SOthrH" at 0.3,0.1

## plotsection ---------------------------------------------------------------------------------------------
set terminal epslatex standalone newstyle dashlength 3.0 linewidth 2.0 rounded blacktext
set terminal epslatex font "" 12
set output Filename
set terminal epslatex size 3.0,3.0

## plot command:
plot sin(x) title 'sinus(x)' with @style_lines

unset output

## call system, ps output with debug option
# system(sprintf("%s %s %s %s", "gnuplot2ps.bat", Filename, "ps", "dbg"))
## eps output:
system(sprintf("%s %s %s %s", "gnuplot2ps.bat", Filename, "eps", ""))
## pdf output with debug option
# system(sprintf("%s %s %s %s", "gnuplot2ps.bat", Filename, "pdf", "dbg"))
## 2nd variant of pdf output with debug option
# system(sprintf("%s %s %s %s", "gnuplot2ps.bat", Filename, "pdflatex", "dbg"))
